[From nobody Sat Sep  5 07:09:21 2026
Received: (at submit) by bugs.debian.org; 13 May 2025 19:03:19 +0000
X-Spam-Checker-Version: SpamAssassin 3.4.6-bugs.debian.org_2005_01_02
 (2021-04-09) on buxtehude.debian.org
X-Spam-Level: 
X-Spam-Status: No, score=-105.2 required=4.0 tests=BAYES_00,DKIMWL_WL_HIGH,
 DKIM_SIGNED,DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FOURLA,
 FROMDEVELOPER,MONEY,SPF_HELO_NONE,SPF_NONE,STOCKLIKE,UNPARSEABLE_RELAY,
 USER_IN_DKIM_WELCOMELIST,USER_IN_DKIM_WHITELIST autolearn=ham
 autolearn_force=no version=3.4.6-bugs.debian.org_2005_01_02
X-Spam-Bayes: score:0.0000 Tokens: new, 49; hammy, 150; neutral, 508; spammy,
 0. spammytokens:
 hammytokens:0.000-+--Hx-spam-relays-external:sk:stravin,
 0.000-+--H*RT:sk:stravin, 0.000-+--Hx-spam-relays-external:311,
 0.000-+--H*RT:311, 0.000-+--H*RT:108
Return-path: &lt;lucas@debian.org&gt;
Received: from stravinsky.debian.org ([2001:41b8:202:deb::311:108]:44128)
 from C=NA, ST=NA, L=Ankh Morpork, O=Debian SMTP, OU=Debian SMTP CA,
 CN=stravinsky.debian.org, EMAIL=hostmaster@stravinsky.debian.org (verified)
 by buxtehude.debian.org with esmtps
 (TLS1.3:ECDHE_SECP256R1__RSA_PSS_RSAE_SHA256__AES_256_GCM:256)
 (Exim 4.94.2) (envelope-from &lt;lucas@debian.org&gt;) id 1uEuuM-006zce-Pf
 for submit@bugs.debian.org; Tue, 13 May 2025 19:03:19 +0000
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=debian.org; 
 s=smtpauto.stravinsky;
 h=X-Debian-User:Content-Transfer-Encoding:Content-Type
 :MIME-Version:Message-ID:Subject:To:From:Date:Reply-To:Cc:Content-ID:
 Content-Description:In-Reply-To:References;
 bh=2edGfFq3pEjZHKvH6pSq/KIXKnDruUc/BQIlFzwQ6Ms=; b=FcemyXVUkU90vhaCw9Fx3NTK79
 ZLuImsBgz85DNbAiRDLrexqtbJBXgMAhb357EmHht8vq4cXvys5RR2nDtG3C7XklpuS3PXkfZ0azC
 My7Pd3Nke6nTnNclikyrwJdf7i1aF5ugWJb9ALY4cqfERLpkBTdXQcS1We+9kdbTJjixLQppgACgQ
 WU6LF4TjgMdsHv1m2iOllIs/z1jwDB4cPpzOD3Pj3IP4xchvO9M2p5vC9AF6OfIAQkbRmVceUc0DG
 U2asa+sp7Px9mNc9/UU4e6H/34ll7zdK8unBDvo5jldFBeeO9I5e0esvyRs/egP7cZr84D11mKJe6
 J9w5O71g==;
Received: from authenticated user by stravinsky.debian.org with esmtpsa
 (TLS1.3:ECDHE_SECP256R1__RSA_PSS_RSAE_SHA256__AES_256_GCM:256)
 (Exim 4.94.2) (envelope-from &lt;lucas@debian.org&gt;) id 1uEuuK-00Apmy-Ue
 for submit@bugs.debian.org; Tue, 13 May 2025 19:03:17 +0000
Date: Tue, 13 May 2025 21:01:36 +0200
From: Lucas Nussbaum &lt;lucas@debian.org&gt;
To: submit@bugs.debian.org
Subject: ivar: FTBFS with make --shuffle=reverse: dh_auto_test: error: make
 -j1 check &quot;TESTSUITEFLAGS=-j1 --verbose&quot; VERBOSE=1 returned exit code 2
Message-ID: &lt;aCOXEIBHPCvaR1EA@grub.nussbaum.fr&gt;
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
X-Debian-User: lucas
Delivered-To: submit@bugs.debian.org

Source: ivar
Version: 1.4.4+dfsg-1
Severity: minor
Tags: trixie sid ftbfs
User: lucas@debian.org
Usertags: ftbfs-shuffle

Hi,

GNU Make now has a --shuffle option that simulates non-deterministic orderi=
ng
of target prerequisites. See
https://trofi.github.io/posts/238-new-make-shuffle-mode.html and also previ=
ous
work in Debian by Santiago Vila:
https://people.debian.org/~sanvila/make-shuffle/

This package fails to build with make --shuffle=3Dreverse.
This is likely to be caused by a missing dependency in
debian/rules or an upstream Makefile.

More information about this mass bug filing is available at
https://wiki.debian.org/qa.debian.org/FTBFS/Shuffle

Relevant part (hopefully):
&gt; make[5]: Entering directory '/build/reproducible-path/ivar-1.4.4+dfsg/tes=
ts'
&gt; Makefile:1268: update target 'check_strand_variants.log' due to: target d=
oes not exist
&gt; p=3D'check_strand_variants'; \
&gt; b=3D'check_strand_variants'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_strand_variants.log&quot; in */*) am__odir=
=3D`echo &quot;./check_strand_variants.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=
=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/=
mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif tes=
t -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_str=
and_variants.log'; if test -n ''; then am__collect_skipped_logs=3D'--collec=
t-skipped-logs no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; =
then am__enable_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; ca=
se &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dye=
s;; *) am__expect_failure=3Dno;; esac;   /bin/bash ../test-driver --test-na=
me &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_strand_variants
&gt; Makefile:1261: update target 'check_quality_trim_unpaired.log' due to: ta=
rget does not exist
&gt; p=3D'check_quality_trim_unpaired'; \
&gt; b=3D'check_quality_trim_unpaired'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_quality_trim_unpaired.log&quot; in */*) am_=
_odir=3D`echo &quot;./check_quality_trim_unpaired.log&quot; | sed 's|/[^/]*$||'`;; *)=
 am__odir=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || =
/usr/bin/mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./;=
 elif test -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'=
check_quality_trim_unpaired.log'; if test -n ''; then am__collect_skipped_l=
ogs=3D'--collect-skipped-logs no'; else am__collect_skipped_logs=3D''; fi; =
if test -n ''; then am__enable_hard_errors=3Dno; else am__enable_hard_error=
s=3Dyes; fi; case &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expe=
ct_failure=3Dyes;; *) am__expect_failure=3Dno;; esac;   /bin/bash ../test-d=
river --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_quality_trim_unpaired
&gt; Makefile:1254: update target 'check_consensus_min_insert_threshold.log' d=
ue to: target does not exist
&gt; p=3D'check_consensus_min_insert_threshold'; \
&gt; b=3D'check_consensus_min_insert_threshold'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_consensus_min_insert_threshold.log&quot; in=
 */*) am__odir=3D`echo &quot;./check_consensus_min_insert_threshold.log&quot; | sed '=
s|/[^/]*$||'`;; *) am__odir=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test =
-d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$=
f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=
=3D$dir$f; log=3D'check_consensus_min_insert_threshold.log'; if test -n '';=
 then am__collect_skipped_logs=3D'--collect-skipped-logs no'; else am__coll=
ect_skipped_logs=3D''; fi; if test -n ''; then am__enable_hard_errors=3Dno;=
 else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\=
 \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expect_failure=3Dno;; =
esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_consensus_min_insert_threshold
&gt; Makefile:1247: update target 'check_amplicon_search.log' due to: target d=
oes not exist
&gt; p=3D'check_amplicon_search'; \
&gt; b=3D'check_amplicon_search'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_amplicon_search.log&quot; in */*) am__odir=
=3D`echo &quot;./check_amplicon_search.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=
=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/=
mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif tes=
t -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_amp=
licon_search.log'; if test -n ''; then am__collect_skipped_logs=3D'--collec=
t-skipped-logs no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; =
then am__enable_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; ca=
se &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dye=
s;; *) am__expect_failure=3Dno;; esac;   /bin/bash ../test-driver --test-na=
me &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_amplicon_search
&gt; Makefile:1240: update target 'check_interval_tree.log' due to: target doe=
s not exist
&gt; p=3D'check_interval_tree'; \
&gt; b=3D'check_interval_tree'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_interval_tree.log&quot; in */*) am__odir=3D=
`echo &quot;./check_interval_tree.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; =
esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -=
p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$=
f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_interval_t=
ree.log'; if test -n ''; then am__collect_skipped_logs=3D'--collect-skipped=
-logs no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; then am__=
enable_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; i=
n *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am=
__expect_failure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_interval_tree
&gt; Makefile:1233: update target 'check_isize_trim.log' due to: target does n=
ot exist
&gt; p=3D'check_isize_trim'; \
&gt; b=3D'check_isize_trim'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_isize_trim.log&quot; in */*) am__odir=3D`ec=
ho &quot;./check_isize_trim.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; esac; =
test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$am=
__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; th=
en dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_isize_trim.log';=
 if test -n ''; then am__collect_skipped_logs=3D'--collect-skipped-logs no'=
; else am__collect_skipped_logs=3D''; fi; if test -n ''; then am__enable_ha=
rd_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ \	]=
$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expect_=
failure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_isize_trim
&gt; Makefile:1226: update target 'check_primer_trim_edge_cases.log' due to: t=
arget does not exist
&gt; p=3D'check_primer_trim_edge_cases'; \
&gt; b=3D'check_primer_trim_edge_cases'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_primer_trim_edge_cases.log&quot; in */*) am=
__odir=3D`echo &quot;./check_primer_trim_edge_cases.log&quot; | sed 's|/[^/]*$||'`;; =
*) am__odir=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; |=
| /usr/bin/mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D.=
/; elif test -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=
=3D'check_primer_trim_edge_cases.log'; if test -n ''; then am__collect_skip=
ped_logs=3D'--collect-skipped-logs no'; else am__collect_skipped_logs=3D'';=
 fi; if test -n ''; then am__enable_hard_errors=3Dno; else am__enable_hard_=
errors=3Dyes; fi; case &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am_=
_expect_failure=3Dyes;; *) am__expect_failure=3Dno;; esac;   /bin/bash ../t=
est-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_primer_trim_edge_cases
&gt; Makefile:1219: update target 'check_unpaired_trim.log' due to: target doe=
s not exist
&gt; p=3D'check_unpaired_trim'; \
&gt; b=3D'check_unpaired_trim'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_unpaired_trim.log&quot; in */*) am__odir=3D=
`echo &quot;./check_unpaired_trim.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; =
esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -=
p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$=
f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_unpaired_t=
rim.log'; if test -n ''; then am__collect_skipped_logs=3D'--collect-skipped=
-logs no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; then am__=
enable_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; i=
n *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am=
__expect_failure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_unpaired_trim
&gt; Makefile:1212: update target 'check_common_variants.log' due to: target d=
oes not exist
&gt; p=3D'check_common_variants'; \
&gt; b=3D'check_common_variants'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_common_variants.log&quot; in */*) am__odir=
=3D`echo &quot;./check_common_variants.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=
=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/=
mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif tes=
t -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_com=
mon_variants.log'; if test -n ''; then am__collect_skipped_logs=3D'--collec=
t-skipped-logs no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; =
then am__enable_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; ca=
se &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dye=
s;; *) am__expect_failure=3Dno;; esac;   /bin/bash ../test-driver --test-na=
me &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_common_variants
&gt; Makefile:1205: update target 'check_variants.log' due to: target does not=
 exist
&gt; p=3D'check_variants'; \
&gt; b=3D'check_variants'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_variants.log&quot; in */*) am__odir=3D`echo=
 &quot;./check_variants.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; esac; test=
 &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$am__od=
ir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; then d=
ir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_variants.log'; if te=
st -n ''; then am__collect_skipped_logs=3D'--collect-skipped-logs no'; else=
 am__collect_skipped_logs=3D''; fi; if test -n ''; then am__enable_hard_err=
ors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ \	]$f[\ \=
	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expect_failur=
e=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_variants
&gt; Makefile:1198: update target 'check_removereads.log' due to: target does =
not exist
&gt; p=3D'check_removereads'; \
&gt; b=3D'check_removereads'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_removereads.log&quot; in */*) am__odir=3D`e=
cho &quot;./check_removereads.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; esac=
; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$=
am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; =
then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_removereads.lo=
g'; if test -n ''; then am__collect_skipped_logs=3D'--collect-skipped-logs =
no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; then am__enable=
_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ =
\	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expe=
ct_failure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; FAIL: check_removereads
&gt; Makefile:1191: update target 'check_getmasked.log' due to: target does no=
t exist
&gt; p=3D'check_getmasked'; \
&gt; b=3D'check_getmasked'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_getmasked.log&quot; in */*) am__odir=3D`ech=
o &quot;./check_getmasked.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; esac; te=
st &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$am__=
odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; then=
 dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_getmasked.log'; if=
 test -n ''; then am__collect_skipped_logs=3D'--collect-skipped-logs no'; e=
lse am__collect_skipped_logs=3D''; fi; if test -n ''; then am__enable_hard_=
errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ \	]$f[=
\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expect_fai=
lure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_getmasked
&gt; Makefile:1184: update target 'check_primer_bed.log' due to: target does n=
ot exist
&gt; p=3D'check_primer_bed'; \
&gt; b=3D'check_primer_bed'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_primer_bed.log&quot; in */*) am__odir=3D`ec=
ho &quot;./check_primer_bed.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; esac; =
test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$am=
__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; th=
en dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_primer_bed.log';=
 if test -n ''; then am__collect_skipped_logs=3D'--collect-skipped-logs no'=
; else am__collect_skipped_logs=3D''; fi; if test -n ''; then am__enable_ha=
rd_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ \	]=
$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expect_=
failure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_primer_bed
&gt; Makefile:1177: update target 'check_consensus_seq_id.log' due to: target =
does not exist
&gt; p=3D'check_consensus_seq_id'; \
&gt; b=3D'check_consensus_seq_id'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_consensus_seq_id.log&quot; in */*) am__odir=
=3D`echo &quot;./check_consensus_seq_id.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=
=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/=
mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif tes=
t -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_con=
sensus_seq_id.log'; if test -n ''; then am__collect_skipped_logs=3D'--colle=
ct-skipped-logs no'; else am__collect_skipped_logs=3D''; fi; if test -n '';=
 then am__enable_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; c=
ase &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dy=
es;; *) am__expect_failure=3Dno;; esac;   /bin/bash ../test-driver --test-n=
ame &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_consensus_seq_id
&gt; Makefile:1170: update target 'check_consensus_min_depth.log' due to: targ=
et does not exist
&gt; p=3D'check_consensus_min_depth'; \
&gt; b=3D'check_consensus_min_depth'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_consensus_min_depth.log&quot; in */*) am__o=
dir=3D`echo &quot;./check_consensus_min_depth.log&quot; | sed 's|/[^/]*$||'`;; *) am_=
_odir=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr=
/bin/mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; eli=
f test -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'chec=
k_consensus_min_depth.log'; if test -n ''; then am__collect_skipped_logs=3D=
'--collect-skipped-logs no'; else am__collect_skipped_logs=3D''; fi; if tes=
t -n ''; then am__enable_hard_errors=3Dno; else am__enable_hard_errors=3Dye=
s; fi; case &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_fai=
lure=3Dyes;; *) am__expect_failure=3Dno;; esac;   /bin/bash ../test-driver =
--test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_consensus_min_depth
&gt; Makefile:1163: update target 'check_consensus_threshold.log' due to: targ=
et does not exist
&gt; p=3D'check_consensus_threshold'; \
&gt; b=3D'check_consensus_threshold'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_consensus_threshold.log&quot; in */*) am__o=
dir=3D`echo &quot;./check_consensus_threshold.log&quot; | sed 's|/[^/]*$||'`;; *) am_=
_odir=3D.;; esac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr=
/bin/mkdir -p &quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; eli=
f test -f &quot;$f&quot;; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'chec=
k_consensus_threshold.log'; if test -n ''; then am__collect_skipped_logs=3D=
'--collect-skipped-logs no'; else am__collect_skipped_logs=3D''; fi; if tes=
t -n ''; then am__enable_hard_errors=3Dno; else am__enable_hard_errors=3Dye=
s; fi; case &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_fai=
lure=3Dyes;; *) am__expect_failure=3Dno;; esac;   /bin/bash ../test-driver =
--test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_consensus_threshold
&gt; Makefile:1156: update target 'check_allele_depth.log' due to: target does=
 not exist
&gt; p=3D'check_allele_depth'; \
&gt; b=3D'check_allele_depth'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_allele_depth.log&quot; in */*) am__odir=3D`=
echo &quot;./check_allele_depth.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; es=
ac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p =
&quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;=
; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_allele_depth=
=2Elog'; if test -n ''; then am__collect_skipped_logs=3D'--collect-skipped-=
logs no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; then am__e=
nable_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in=
 *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am_=
_expect_failure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_allele_depth
&gt; Makefile:1149: update target 'check_consensus.log' due to: target does no=
t exist
&gt; p=3D'check_consensus'; \
&gt; b=3D'check_consensus'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_consensus.log&quot; in */*) am__odir=3D`ech=
o &quot;./check_consensus.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; esac; te=
st &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$am__=
odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; then=
 dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_consensus.log'; if=
 test -n ''; then am__collect_skipped_logs=3D'--collect-skipped-logs no'; e=
lse am__collect_skipped_logs=3D''; fi; if test -n ''; then am__enable_hard_=
errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ \	]$f[=
\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expect_fai=
lure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_consensus
&gt; Makefile:1142: update target 'check_quality_trim.log' due to: target does=
 not exist
&gt; p=3D'check_quality_trim'; \
&gt; b=3D'check_quality_trim'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_quality_trim.log&quot; in */*) am__odir=3D`=
echo &quot;./check_quality_trim.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; es=
ac; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p =
&quot;$am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;=
; then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_quality_trim=
=2Elog'; if test -n ''; then am__collect_skipped_logs=3D'--collect-skipped-=
logs no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; then am__e=
nable_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in=
 *[\ \	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am_=
_expect_failure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_quality_trim
&gt; Makefile:1135: update target 'check_trim.log' due to: target does not exi=
st
&gt; p=3D'check_trim'; \
&gt; b=3D'check_trim'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_trim.log&quot; in */*) am__odir=3D`echo &quot;./=
check_trim.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; esac; test &quot;x$am__=
odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$am__odir&quot; || e=
xit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; then dir=3D; e=
lse dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_trim.log'; if test -n ''; th=
en am__collect_skipped_logs=3D'--collect-skipped-logs no'; else am__collect=
_skipped_logs=3D''; fi; if test -n ''; then am__enable_hard_errors=3Dno; el=
se am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ \	]$f[\ \	]* | *[\ \	=
]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expect_failure=3Dno;; esa=
c;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_trim
&gt; Makefile:1128: update target 'check_primer_trim.log' due to: target does =
not exist
&gt; p=3D'check_primer_trim'; \
&gt; b=3D'check_primer_trim'; \
&gt; case $- in *e*) set +e;; esac; srcdirstrip=3D`echo &quot;.&quot; | sed 's|.|.|g'`; =
case $p in ./*) f=3D`echo &quot;$p&quot; | sed &quot;s|^$srcdirstrip/||&quot;`;; *) f=3D$p;; es=
ac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D std=3D; am__color_tests=3Dn=
o; if test &quot;X&quot; =3D Xno; then am__color_tests=3Dno; elif test &quot;X&quot; =3D Xalway=
s; then am__color_tests=3Dyes; elif test &quot;X$TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1=
; } 2&gt;/dev/null; then am__color_tests=3Dyes; fi; if test $am__color_tests =
=3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0;32m'; lgn=3D'=1B[1;32m'; blu=
=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[1m'; std=3D'=1B[m'; fi; }; sr=
cdir=3D.; export srcdir; case &quot;check_primer_trim.log&quot; in */*) am__odir=3D`e=
cho &quot;./check_primer_trim.log&quot; | sed 's|/[^/]*$||'`;; *) am__odir=3D.;; esac=
; test &quot;x$am__odir&quot; =3D x&quot;.&quot; || test -d &quot;$am__odir&quot; || /usr/bin/mkdir -p &quot;$=
am__odir&quot; || exit $?; if test -f &quot;./$f&quot;; then dir=3D./; elif test -f &quot;$f&quot;; =
then dir=3D; else dir=3D&quot;./&quot;; fi; tst=3D$dir$f; log=3D'check_primer_trim.lo=
g'; if test -n ''; then am__collect_skipped_logs=3D'--collect-skipped-logs =
no'; else am__collect_skipped_logs=3D''; fi; if test -n ''; then am__enable=
_hard_errors=3Dno; else am__enable_hard_errors=3Dyes; fi; case &quot;  &quot; in *[\ =
\	]$f[\ \	]* | *[\ \	]$dir$f[\ \	]*) am__expect_failure=3Dyes;; *) am__expe=
ct_failure=3Dno;; esac;   /bin/bash ../test-driver --test-name &quot;$f&quot; \
&gt; --log-file $b.log --trs-file $b.trs \
&gt; --color-tests &quot;$am__color_tests&quot; $am__collect_skipped_logs --enable-hard-=
errors &quot;$am__enable_hard_errors&quot; --expect-failure &quot;$am__expect_failure&quot;   -=
-    \
&gt; &quot;$tst&quot;=20
&gt; PASS: check_primer_trim
&gt; Makefile:975: update target 'test-suite.log' due to: target does not exist
&gt; bases=3D'check_primer_trim.log check_trim.log check_quality_trim.log chec=
k_consensus.log check_allele_depth.log check_consensus_threshold.log check_=
consensus_min_depth.log check_consensus_seq_id.log check_primer_bed.log che=
ck_getmasked.log check_removereads.log check_variants.log check_common_vari=
ants.log check_unpaired_trim.log check_primer_trim_edge_cases.log check_isi=
ze_trim.log check_interval_tree.log check_amplicon_search.log check_consens=
us_min_insert_threshold.log check_quality_trim_unpaired.log check_strand_va=
riants.log'; bases=3D`for i in $bases; do echo $i; done | sed 's/\.log$//'`=
; bases=3D`echo $bases`; \
&gt; am__f_ok () { test -f &quot;$1&quot; &amp;&amp; test -r &quot;$1&quot;; }; \
&gt; redo_bases=3D`for i in $bases; do \
&gt;               am__f_ok $i.trs &amp;&amp; am__f_ok $i.log || echo $i; \
&gt;             done`; \
&gt; if test -n &quot;$redo_bases&quot;; then \
&gt;   redo_logs=3D`for i in $redo_bases; do echo $i.log; done`; \
&gt;   redo_results=3D`for i in $redo_bases; do echo $i.trs; done`; \
&gt;   if (target_option=3Dn; case ${target_option-} in ?) ;; *) echo &quot;am__mak=
e_running_with_option: internal error: invalid&quot; &quot;target option '${target_op=
tion-}' specified&quot; &gt;&amp;2; exit 1;; esac; has_opt=3Dno; sane_makeflags=3D$MAKE=
FLAGS; if { if test -z '5'; then false; elif test -n 'x86_64-pc-linux-gnu';=
 then true; elif test -n '4.4.1' &amp;&amp; test -n '/build/reproducible-path/ivar-=
1.4.4+dfsg/tests'; then true; else false; fi; }; then sane_makeflags=3D$MFL=
AGS; else case $MAKEFLAGS in *\\[\ \	]*) bs=3D\\; sane_makeflags=3D`printf =
'%s\n' &quot;$MAKEFLAGS&quot; | sed &quot;s/$bs$bs[$bs $bs	]*//g&quot;`;; esac; fi; skip_next=
=3Dno; strip_trailopt () { flg=3D`printf '%s\n' &quot;$flg&quot; | sed &quot;s/$1.*$//&quot;`; =
}; for flg in $sane_makeflags; do test $skip_next =3D yes &amp;&amp; { skip_next=3D=
no; continue; }; case $flg in *=3D*|--*) continue;; -*I) strip_trailopt 'I'=
; skip_next=3Dyes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; sk=
ip_next=3Dyes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_n=
ext=3Dyes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=3Dyes;; -[JT]) s=
kip_next=3Dyes;; esac; case $flg in *$target_option*) has_opt=3Dyes; break;=
; esac; done; test $has_opt =3D yes); then :; else \
&gt;     rm -f $redo_logs &amp;&amp; rm -f $redo_results || exit 1; \
&gt;   fi; \
&gt; fi; \
&gt; if test -n &quot;$am__remaking_logs&quot;; then \
&gt;   echo &quot;fatal: making test-suite.log: possible infinite&quot; \
&gt;        &quot;recursion detected&quot; &gt;&amp;2; \
&gt; elif test -n &quot;$redo_logs&quot;; then \
&gt;   am__remaking_logs=3Dyes make  $redo_logs; \
&gt; fi; \
&gt; if (target_option=3Dn; case ${target_option-} in ?) ;; *) echo &quot;am__make_=
running_with_option: internal error: invalid&quot; &quot;target option '${target_opti=
on-}' specified&quot; &gt;&amp;2; exit 1;; esac; has_opt=3Dno; sane_makeflags=3D$MAKEFL=
AGS; if { if test -z '5'; then false; elif test -n 'x86_64-pc-linux-gnu'; t=
hen true; elif test -n '4.4.1' &amp;&amp; test -n '/build/reproducible-path/ivar-1.=
4.4+dfsg/tests'; then true; else false; fi; }; then sane_makeflags=3D$MFLAG=
S; else case $MAKEFLAGS in *\\[\ \	]*) bs=3D\\; sane_makeflags=3D`printf '%=
s\n' &quot;$MAKEFLAGS&quot; | sed &quot;s/$bs$bs[$bs $bs	]*//g&quot;`;; esac; fi; skip_next=3Dn=
o; strip_trailopt () { flg=3D`printf '%s\n' &quot;$flg&quot; | sed &quot;s/$1.*$//&quot;`; }; f=
or flg in $sane_makeflags; do test $skip_next =3D yes &amp;&amp; { skip_next=3Dno; =
continue; }; case $flg in *=3D*|--*) continue;; -*I) strip_trailopt 'I'; sk=
ip_next=3Dyes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_n=
ext=3Dyes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=
=3Dyes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=3Dyes;; -[JT]) skip=
_next=3Dyes;; esac; case $flg in *$target_option*) has_opt=3Dyes; break;; e=
sac; done; test $has_opt =3D yes); then :; else \
&gt;   st=3D0;  \
&gt;   errmsg=3D&quot;fatal: making test-suite.log: failed to create&quot;; \
&gt;   for i in $redo_bases; do \
&gt;     test -f $i.trs &amp;&amp; test -r $i.trs \
&gt;       || { echo &quot;$errmsg $i.trs&quot; &gt;&amp;2; st=3D1; }; \
&gt;     test -f $i.log &amp;&amp; test -r $i.log \
&gt;       || { echo &quot;$errmsg $i.log&quot; &gt;&amp;2; st=3D1; }; \
&gt;   done; \
&gt;   test $st -eq 0 || exit 1; \
&gt; fi
&gt; case $- in *e*) set +e;; esac; { mgn=3D red=3D grn=3D lgn=3D blu=3D brg=
=3D std=3D; am__color_tests=3Dno; if test &quot;X&quot; =3D Xno; then am__color_tests=
=3Dno; elif test &quot;X&quot; =3D Xalways; then am__color_tests=3Dyes; elif test &quot;X$=
TERM&quot; !=3D Xdumb &amp;&amp; { test -t 1; } 2&gt;/dev/null; then am__color_tests=3Dyes;=
 fi; if test $am__color_tests =3D yes; then red=3D'=1B[0;31m'; grn=3D'=1B[0=
;32m'; lgn=3D'=1B[1;32m'; blu=3D'=1B[1;34m'; mgn=3D'=1B[0;35m'; brg=3D'=1B[=
1m'; std=3D'=1B[m'; fi; }; bases=3D'check_primer_trim.log check_trim.log ch=
eck_quality_trim.log check_consensus.log check_allele_depth.log check_conse=
nsus_threshold.log check_consensus_min_depth.log check_consensus_seq_id.log=
 check_primer_bed.log check_getmasked.log check_removereads.log check_varia=
nts.log check_common_variants.log check_unpaired_trim.log check_primer_trim=
_edge_cases.log check_isize_trim.log check_interval_tree.log check_amplicon=
_search.log check_consensus_min_insert_threshold.log check_quality_trim_unp=
aired.log check_strand_variants.log'; bases=3D`for i in $bases; do echo $i;=
 done | sed 's/\.log$//'`; bases=3D`echo $bases`; \
&gt; ws=3D'[ 	]'; \
&gt; results=3D`for b in $bases; do echo $b.trs; done`; \
&gt; test -n &quot;$results&quot; || results=3D/dev/null; \
&gt; all=3D`  grep &quot;^$ws*:test-result:&quot;           $results | wc -l`; \
&gt; pass=3D` grep &quot;^$ws*:test-result:$ws*PASS&quot;  $results | wc -l`; \
&gt; fail=3D` grep &quot;^$ws*:test-result:$ws*FAIL&quot;  $results | wc -l`; \
&gt; skip=3D` grep &quot;^$ws*:test-result:$ws*SKIP&quot;  $results | wc -l`; \
&gt; xfail=3D`grep &quot;^$ws*:test-result:$ws*XFAIL&quot; $results | wc -l`; \
&gt; xpass=3D`grep &quot;^$ws*:test-result:$ws*XPASS&quot; $results | wc -l`; \
&gt; error=3D`grep &quot;^$ws*:test-result:$ws*ERROR&quot; $results | wc -l`; \
&gt; if test `expr $fail + $xpass + $error` -eq 0; then \
&gt;   success=3Dtrue; \
&gt; else \
&gt;   success=3Dfalse; \
&gt; fi; \
&gt; br=3D'=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D'; br=3D$b=
r$br$br$br; \
&gt; result_count () \
&gt; { \
&gt;     if test x&quot;$1&quot; =3D x&quot;--maybe-color&quot;; then \
&gt;       maybe_colorize=3Dyes; \
&gt;     elif test x&quot;$1&quot; =3D x&quot;--no-color&quot;; then \
&gt;       maybe_colorize=3Dno; \
&gt;     else \
&gt;       echo &quot;test-suite.log: invalid 'result_count' usage&quot; &gt;&amp;2; exit 4; \
&gt;     fi; \
&gt;     shift; \
&gt;     desc=3D$1 count=3D$2; \
&gt;     if test $maybe_colorize =3D yes &amp;&amp; test $count -gt 0; then \
&gt;       color_start=3D$3 color_end=3D$std; \
&gt;     else \
&gt;       color_start=3D color_end=3D; \
&gt;     fi; \
&gt;     echo &quot;${color_start}# $desc $count${color_end}&quot;; \
&gt; }; \
&gt; create_testsuite_report () \
&gt; { \
&gt;   result_count $1 &quot;TOTAL:&quot; $all   &quot;$brg&quot;; \
&gt;   result_count $1 &quot;PASS: &quot; $pass  &quot;$grn&quot;; \
&gt;   result_count $1 &quot;SKIP: &quot; $skip  &quot;$blu&quot;; \
&gt;   result_count $1 &quot;XFAIL:&quot; $xfail &quot;$lgn&quot;; \
&gt;   result_count $1 &quot;FAIL: &quot; $fail  &quot;$red&quot;; \
&gt;   result_count $1 &quot;XPASS:&quot; $xpass &quot;$red&quot;; \
&gt;   result_count $1 &quot;ERROR:&quot; $error &quot;$mgn&quot;; \
&gt; }; \
&gt; output_system_information () \
&gt; { \
&gt;           echo;                                     \
&gt;   { uname -a | mawk '{                    \
&gt;   printf &quot;System information (uname -a):&quot;;          \
&gt;   for (i =3D 1; i &lt; NF; ++i)                          \
&gt;     {                                               \
&gt;       if (i !=3D 2)                                   \
&gt;         printf &quot; %s&quot;, $i;                          \
&gt;     }                                               \
&gt;   printf &quot;\n&quot;;                                      \
&gt; }'; } 2&gt;&amp;1;                                         \
&gt;   if test -r /etc/os-release; then          \
&gt;     echo &quot;Distribution information (/etc/os-release):&quot;; \
&gt;     sed 8q /etc/os-release;                 \
&gt;   elif test -r /etc/issue; then             \
&gt;     echo &quot;Distribution information (/etc/issue):&quot;;      \
&gt;     cat /etc/issue;                         \
&gt;   fi;                                       \
&gt; }; \
&gt; please_report () \
&gt; { \
&gt; echo &quot;Some test(s) failed.  Please report this to gkarthik@scripps.edu,&quot;;=
    \
&gt; echo &quot;together with the test-suite.log file (gzipped) and your system&quot;;  =
    \
&gt; echo &quot;information.  Thanks.&quot;;                                            =
    \
&gt; }; \
&gt; {								\
&gt;   echo &quot;ivar 1.4.4: tests/test-suite.log&quot; |	\
&gt;     { sed 's/.*/   &amp;   /;h;s/./=3D/g;p;x;s/ *$//;p;g' &amp;&amp; echo; };						\
&gt;   create_testsuite_report --no-color;				\
&gt;   output_system_information;                                    \
&gt;   echo;								\
&gt;   echo &quot;.. contents:: :depth: 2&quot;;				\
&gt;   echo;								\
&gt;   for b in $bases; do echo $b; done				\
&gt;     | mawk ' function fatal(msg) { print &quot;fatal: making test-suite.log: &quot;=
 msg | &quot;cat &gt;&amp;2&quot;; exit 1; } function rst_section(header) { print header; le=
n =3D length(header); for (i =3D 1; i &lt;=3D len; i =3D i + 1) printf &quot;=3D&quot;; =
printf &quot;\n\n&quot;; } { copy_in_global_log =3D 1; global_test_result =3D &quot;RUN&quot;; =
while ((rc =3D (getline line &lt; ($0 &quot;.trs&quot;))) !=3D 0) { if (rc &lt; 0) fatal(&quot;f=
ailed to read from &quot; $0 &quot;.trs&quot;); if (line ~ /^[ 	]*:global-test-result:[ 	]=
*/) { sub(&quot;^[ 	]*:global-test-result:[ 	]*&quot;, &quot;&quot;, line); sub(&quot;[ 	]*$&quot;, &quot;&quot;, l=
ine); global_test_result =3D line; } else if (line ~ /^[ 	]*:copy-in-global=
-log:[ 	]*[nN][oO]/) copy_in_global_log =3D 0; }; if (copy_in_global_log) {=
 rst_section(global_test_result &quot;: &quot; $0); while ((rc =3D (getline line &lt; ($=
0 &quot;.log&quot;))) !=3D 0) { if (rc &lt; 0) fatal(&quot;failed to read from &quot; $0 &quot;.log&quot;); =
print line; }; printf &quot;\n&quot;; }; close ($0 &quot;.trs&quot;); close ($0 &quot;.log&quot;); }';			=
		\
&gt; } &gt;test-suite.log.tmp || exit 1;				\
&gt; mv test-suite.log.tmp test-suite.log;			\
&gt; if $success; then						\
&gt;   col=3D&quot;$grn&quot;;							\
&gt;  else								\
&gt;   col=3D&quot;$red&quot;;							\
&gt;   test x&quot;$VERBOSE&quot; =3D x || cat test-suite.log;		\
&gt; fi;								\
&gt; echo &quot;${col}$br${std}&quot;; 					\
&gt; echo &quot;${col}Testsuite summary&quot;' for ivar 1.4.4'&quot;${std}&quot;;	\
&gt; echo &quot;${col}$br${std}&quot;; 					\
&gt; create_testsuite_report --maybe-color;				\
&gt; echo &quot;$col$br$std&quot;;						\
&gt; if $success; then :; else					\
&gt;   echo &quot;${col}See tests/test-suite.log for debugging.${std}&quot;;\
&gt;   if test -n &quot;gkarthik@scripps.edu&quot;; then			\
&gt;     please_report | sed -e &quot;s/^/${col}/&quot; -e s/'$'/&quot;${std}&quot;/; \
&gt;   fi;								\
&gt;   echo &quot;$col$br$std&quot;;					\
&gt; fi;								\
&gt; $success || exit 1
&gt; =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
&gt;    ivar 1.4.4: tests/test-suite.log
&gt; =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
&gt;=20
&gt; # TOTAL: 21
&gt; # PASS:  20
&gt; # SKIP:  0
&gt; # XFAIL: 0
&gt; # FAIL:  1
&gt; # XPASS: 0
&gt; # ERROR: 0
&gt;=20
&gt; System information (uname -a): Linux 6.1.0-32-cloud-amd64 #1 SMP PREEMPT_=
DYNAMIC Debian 6.1.129-1 (2025-03-06) x86_64
&gt; Distribution information (/etc/os-release):
&gt; PRETTY_NAME=3D&quot;Debian GNU/Linux trixie/sid&quot;
&gt; NAME=3D&quot;Debian GNU/Linux&quot;
&gt; VERSION_CODENAME=3Dtrixie
&gt; ID=3Ddebian
&gt; HOME_URL=3D&quot;https://www.debian.org/&quot;
&gt; SUPPORT_URL=3D&quot;https://www.debian.org/support&quot;
&gt; BUG_REPORT_URL=3D&quot;https://bugs.debian.org/&quot;
&gt;=20
&gt; .. contents:: :depth: 2
&gt;=20
&gt; FAIL: check_removereads
&gt; =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
&gt;=20
&gt; Found 8 primers in BED file
&gt; Writing to ../data/test.trimmed.masked.bam
&gt; [E::idx_find_and_load] Could not retrieve index file for '../data/test.tr=
immed.sorted.bam'
&gt; Number of references: 1
&gt; Reference Name: Consensus_ZI-27_threshold_0_quality_20
&gt; Reference Length: 10086
&gt; Using Region: Consensus_ZI-27_threshold_0_quality_20
&gt; Sorted By Coordinate
&gt; Results:
&gt; 0 reads were removed.
&gt; FAIL check_removereads (exit status: 1)
&gt;=20
&gt; =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
&gt; Testsuite summary for ivar 1.4.4
&gt; =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
&gt; # TOTAL: 21
&gt; # PASS:  20
&gt; # SKIP:  0
&gt; # XFAIL: 0
&gt; # FAIL:  1
&gt; # XPASS: 0
&gt; # ERROR: 0
&gt; =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
&gt; See tests/test-suite.log for debugging.
&gt; Some test(s) failed.  Please report this to gkarthik@scripps.edu,
&gt; together with the test-suite.log file (gzipped) and your system
&gt; information.  Thanks.
&gt; =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
&gt; make[5]: *** [Makefile:976: test-suite.log] Error 1 shuffle=3Dreverse
&gt; make[5]: Leaving directory '/build/reproducible-path/ivar-1.4.4+dfsg/test=
s'
&gt; make[4]: *** [Makefile:1111: check-TESTS] Error 2 shuffle=3Dreverse
&gt; make[4]: Leaving directory '/build/reproducible-path/ivar-1.4.4+dfsg/test=
s'
&gt; make[3]: *** [Makefile:1323: check-am] Error 2 shuffle=3Dreverse
&gt; make[3]: Leaving directory '/build/reproducible-path/ivar-1.4.4+dfsg/test=
s'
&gt; make[2]: *** [Makefile:377: check-recursive] Error 1 shuffle=3Dreverse
&gt; make[2]: Leaving directory '/build/reproducible-path/ivar-1.4.4+dfsg'
&gt; dh_auto_test: error: make -j1 check &quot;TESTSUITEFLAGS=3D-j1 --verbose&quot; VERB=
OSE=3D1 returned exit code 2


The full build log is available from:
http://qa-logs.debian.net/2025/05/05/shuffle/reverse/ivar_1.4.4+dfsg-1_unst=
able_reverse.log

If you reassign this bug to another package, please mark it as 'affects'-ing
this package. See https://www.debian.org/Bugs/server-control#affects
]